# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
import pytest
from azure.mgmt.compute import ComputeManagementClient

from devtools_testutils import AzureMgmtRecordedTestCase, RandomNameResourceGroupPreparer, recorded_by_proxy

AZURE_LOCATION = "eastus"


@pytest.mark.skip("you may need to update the auto-generated test case before run it")
class TestComputeManagementCloudServiceOperatingSystemsOperations(AzureMgmtRecordedTestCase):
    def setup_method(self, method):
        self.client = self.create_mgmt_client(ComputeManagementClient)

    @RandomNameResourceGroupPreparer(location=AZURE_LOCATION)
    @recorded_by_proxy
    def test_get_os_version(self, resource_group):
        response = self.client.cloud_service_operating_systems.get_os_version(
            location="str",
            os_version_name="str",
            api_version="2021-03-01",
        )

        # please add some check logic here by yourself
        # ...

    @RandomNameResourceGroupPreparer(location=AZURE_LOCATION)
    @recorded_by_proxy
    def test_list_os_versions(self, resource_group):
        response = self.client.cloud_service_operating_systems.list_os_versions(
            location="str",
            api_version="2021-03-01",
        )
        result = [r for r in response]
        # please add some check logic here by yourself
        # ...

    @RandomNameResourceGroupPreparer(location=AZURE_LOCATION)
    @recorded_by_proxy
    def test_get_os_family(self, resource_group):
        response = self.client.cloud_service_operating_systems.get_os_family(
            location="str",
            os_family_name="str",
            api_version="2021-03-01",
        )

        # please add some check logic here by yourself
        # ...

    @RandomNameResourceGroupPreparer(location=AZURE_LOCATION)
    @recorded_by_proxy
    def test_list_os_families(self, resource_group):
        response = self.client.cloud_service_operating_systems.list_os_families(
            location="str",
            api_version="2021-03-01",
        )
        result = [r for r in response]
        # please add some check logic here by yourself
        # ...
