# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
import pytest
from azure.mgmt.compute import ComputeManagementClient

from devtools_testutils import AzureMgmtRecordedTestCase, RandomNameResourceGroupPreparer, recorded_by_proxy

AZURE_LOCATION = "eastus"


@pytest.mark.skip("you may need to update the auto-generated test case before run it")
class TestComputeManagementGalleryImagesOperations(AzureMgmtRecordedTestCase):
    def setup_method(self, method):
        self.client = self.create_mgmt_client(ComputeManagementClient)

    @RandomNameResourceGroupPreparer(location=AZURE_LOCATION)
    @recorded_by_proxy
    def test_begin_create_or_update(self, resource_group):
        response = self.client.gallery_images.begin_create_or_update(
            resource_group_name=resource_group.name,
            gallery_name="str",
            gallery_image_name="str",
            gallery_image={
                "location": "str",
                "description": "str",
                "disallowed": {"diskTypes": ["str"]},
                "endOfLifeDate": "2020-02-20 00:00:00",
                "eula": "str",
                "id": "str",
                "identifier": {"offer": "str", "publisher": "str", "sku": "str"},
                "name": "str",
                "osState": "str",
                "osType": "str",
                "privacyStatementUri": "str",
                "provisioningState": "str",
                "purchasePlan": {"name": "str", "product": "str", "publisher": "str"},
                "recommended": {"memory": {"max": 0, "min": 0}, "vCPUs": {"max": 0, "min": 0}},
                "releaseNoteUri": "str",
                "tags": {"str": "str"},
                "type": "str",
            },
            api_version="2018-06-01",
        ).result()  # call '.result()' to poll until service return final result

        # please add some check logic here by yourself
        # ...

    @RandomNameResourceGroupPreparer(location=AZURE_LOCATION)
    @recorded_by_proxy
    def test_get(self, resource_group):
        response = self.client.gallery_images.get(
            resource_group_name=resource_group.name,
            gallery_name="str",
            gallery_image_name="str",
            api_version="2018-06-01",
        )

        # please add some check logic here by yourself
        # ...

    @RandomNameResourceGroupPreparer(location=AZURE_LOCATION)
    @recorded_by_proxy
    def test_begin_delete(self, resource_group):
        response = self.client.gallery_images.begin_delete(
            resource_group_name=resource_group.name,
            gallery_name="str",
            gallery_image_name="str",
            api_version="2018-06-01",
        ).result()  # call '.result()' to poll until service return final result

        # please add some check logic here by yourself
        # ...

    @RandomNameResourceGroupPreparer(location=AZURE_LOCATION)
    @recorded_by_proxy
    def test_list_by_gallery(self, resource_group):
        response = self.client.gallery_images.list_by_gallery(
            resource_group_name=resource_group.name,
            gallery_name="str",
            api_version="2018-06-01",
        )
        result = [r for r in response]
        # please add some check logic here by yourself
        # ...
