# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------

from azure.identity import DefaultAzureCredential
from azure.mgmt.resourcemover import ResourceMoverServiceAPI

"""
# PREREQUISITES
    pip install azure-identity
    pip install azure-mgmt-resourcemover
# USAGE
    python move_resources_create.py

    Before run the sample, please set the values of the client ID, tenant ID and client secret
    of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
    AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
    https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""


def main():
    client = ResourceMoverServiceAPI(
        credential=DefaultAzureCredential(),
        subscription_id="subid",
    )

    response = client.move_resources.begin_create(
        resource_group_name="rg1",
        move_collection_name="movecollection1",
        move_resource_name="moveresourcename1",
    ).result()
    print(response)


# x-ms-original-file: specification/resourcemover/resource-manager/Microsoft.Migrate/stable/2023-08-01/examples/MoveResources_Create.json
if __name__ == "__main__":
    main()
