# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------

from enum import Enum
from azure.core import CaseInsensitiveEnumMeta


class AuthorizationScopeFilter(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """Defines what level of authorization resources should be returned based on the which
    subscriptions and management groups are passed as scopes.
    """

    AT_SCOPE_AND_BELOW = "AtScopeAndBelow"
    AT_SCOPE_AND_ABOVE = "AtScopeAndAbove"
    AT_SCOPE_EXACT = "AtScopeExact"
    AT_SCOPE_ABOVE_AND_BELOW = "AtScopeAboveAndBelow"


class ChangeCategory(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """The change category."""

    USER = "User"
    SYSTEM = "System"


class ChangeType(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """The change type for snapshot. PropertyChanges will be provided in case of Update change type."""

    CREATE = "Create"
    UPDATE = "Update"
    DELETE = "Delete"


class ColumnDataType(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """Data type of a column in a table."""

    STRING = "string"
    INTEGER = "integer"
    NUMBER = "number"
    BOOLEAN = "boolean"
    OBJECT = "object"
    DATETIME = "datetime"


class FacetSortOrder(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """The sorting order by the selected column (count by default)."""

    ASC = "asc"
    DESC = "desc"


class PropertyChangeType(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """The property change Type."""

    INSERT = "Insert"
    UPDATE = "Update"
    REMOVE = "Remove"


class ResultFormat(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """Defines in which format query result returned."""

    TABLE = "table"
    OBJECT_ARRAY = "objectArray"


class ResultTruncated(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """Indicates whether the query results are truncated."""

    TRUE = "true"
    FALSE = "false"
